package com.hp.user.service.impl;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.hp.user.client.entity.AuditVO;
import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.AuditService;
import com.hp.user.service.dao.AuditMapper;
import com.hp.user.service.entity.Audit;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 审核记录 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-29
 */
@Service
public class AuditServiceImpl implements AuditService {
    @Autowired
    private AuditMapper auditMapper;
    @Override
    public Result insert(AuditVO audit) {
        Audit temp = new Audit();
        Result result = new Result();
        int flag=0;
        try{
            BeanUtils.copyProperties(audit,temp);
            flag = auditMapper.insert(temp);
        }catch (Exception e){

        }
        // 判断数据库操作是否成功
        if(SqlHelper.retBool(flag)){
            result.setCode("0");
        } else {
            result.setCode("-1");
            result.setMessage("添加失败");
        }
        return result;
    }

    @Override
    public DataResult<AuditVO> queryAuditByAuditId(String auditId) {
        AuditVO auditVO = new AuditVO();
        DataResult<AuditVO> result= new DataResult<>();
        try{
            Audit temp = auditMapper.selectById(auditId);
            if(temp == null) {
                result.setCode("-1");
                result.setMessage("审核记录不存在");
                return result;
            }else{
                BeanUtils.copyProperties(temp, auditVO);
                result.setCode("0");
                result.setData(auditVO);
            }
        }catch (Exception e){

        }
        return result;
    }
}
